View Issue Details

IDProjectCategoryView StatusLast Update
0002964PartDesignBugpublic2017-03-19 21:09
Reporternormandc 
Assigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version 
Summary0002964: PartDesign Datum geometry invisible in 3D view if no geometry present in Body
DescriptionDatum geometry automatically re-sizes based on existing geometry, but if there isn't any in the Body, datum geometry is invisible in the 3D view.

BodyOrigin features have a default size, maybe datum geometry should as well to prevent this.
Steps To Reproduce1. Launch FreeCAD 0.17.1xxxx
2. Switch to the PartDesign workbench
3. Create a Body
4. In the Model tree, click on the arrow (or +) besides Body
5. Click on BodyOrigin then hit spacebar to make it visible
6. Click on the arrow (or +) besides BodyOrigin to reveal its content
7. Select XY_Plane (or any other plane)
8. Create a datum plane
9. Keep the "Plane face" attachment mode, click OK
10. A DatumPlane object appears underneath the Body, but is not visible in the 3D view.
Additional InformationOS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10460 (Git)
Build type: None
Branch: master
Hash: 91c59c7910436c44ede608e29d9a90a287121a11
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
TagsNo tags attached.

Relationships

related to 0002968 closedyorik Datum items invisible on opening saved files 

Activities

2017-03-12 14:31normandcNew Issue

normandc

2017-03-12 14:33

manager   ~0008613

File displaying the issue.

FC017_invisible_datum_plane.fcstd (10,595 bytes)
2017-03-12 14:33normandcFile Added: FC017_invisible_datum_plane.fcstd

jnxd

2017-03-15 18:28

developer   ~0008631

If one saves the generation macro from creation of file and runs the script, the datum is created but cannot be attached to the body. This itself however appears to be a separate bug introduced in commit d2764a3c7a16bd2fd221de6cbfc9395fb0516c3b.
2017-03-15 20:07Kunda1Relationship addedrelated to 0002968

jnxd

2017-03-16 08:25

developer   ~0008639

False alarm on the macro issue. I was usong a macro from an old version after which a method was renamed.

yorik

2017-03-19 21:09

administrator   ~0008652

Fix committed to master branch.
2017-03-19 21:09yorikChangeset attached => FreeCAD master c4fdc924
2017-03-19 21:09yorikAssigned To => yorik
2017-03-19 21:09yorikStatusnew => closed
2017-03-19 21:09yorikResolutionopen => fixed

Related Changesets

FreeCAD: master c4fdc924

2017-03-16 21:27:00

AjinkyaDahale


Committer: yorik Details Diff
fixes 0002964, 0002968

0002964: PartDesign Datum geometry invisible in 3D view if no geometry
present in Body
0002968: Datum items invisible on opening saved files
mod - src/Mod/PartDesign/Gui/ViewProviderDatum.cpp Diff File

Issue History

Date Modified Username Field Change
2017-03-12 14:31 normandc New Issue
2017-03-12 14:33 normandc File Added: FC017_invisible_datum_plane.fcstd
2017-03-12 14:33 normandc Note Added: 0008613
2017-03-15 18:28 jnxd Note Added: 0008631
2017-03-15 20:07 Kunda1 Relationship added related to 0002968
2017-03-16 08:25 jnxd Note Added: 0008639
2017-03-19 21:09 yorik Changeset attached => FreeCAD master c4fdc924
2017-03-19 21:09 yorik Note Added: 0008652
2017-03-19 21:09 yorik Assigned To => yorik
2017-03-19 21:09 yorik Status new => closed
2017-03-19 21:09 yorik Resolution open => fixed